## Combine-3.4.4.tar.gz

=== doc/Makefile ===
TEXS = DocMain.tex Configuration.tex CrawlerOperation.tex DocMain.tex documentation.tex FAQ.tex Intro.tex \
 OpenSourceDistr.tex SystemComponents.tex ExpectedPerformance.tex  ClassificationEval.tex
GENTEXS = ConfigVars.tex DepGraph.tex ManPages.tex SQL.tex InstallationTest.tex PlugInTemplate.tex
IMGS = CrawlerArchitecture.xfig.eps TopicFilter.xfig.eps CrawlerSpeed.ps Config.ps focusedrobot.eps
BINS = ../bin/combine*
MODULES = ../Combine/*.pm

all : pdf ps html
dvi : DocMain.dvi
pdf : DocMain.pdf
ps  : DocMain.ps

DocMain.pdf : DocMain.dvi
	    dvipdf DocMain.dvi DocMain.pdf

DocMain.ps : DocMain.dvi
	   dvips -o DocMain.ps DocMain.dvi

tex : $(TEXS) $(GENTEXS) $(IMGS) myalvis.bib
	latex DocMain.tex

DocMain.dvi : $(TEXS) $(GENTEXS) $(IMGS) myalvis.bib
	    latex DocMain.tex
	    bibtex DocMain
	    latex DocMain.tex
	    latex DocMain.tex

ConfigVars.tex : ../conf/default.cfg ../conf/job_default.cfg $(BINS) $(MODULES) genConfigDoc.pl
	./genConfigDoc.pl > ConfigVars.tex

DepGraph.tex : $(BINS) $(MODULES) genDepGraph.pl
	./genDepGraph.pl > DepGraph.tex

ManPages.tex : $(BINS) $(MODULES) genPod2latex.pl
	./genPod2latex.pl > ManPages.tex

SQL.tex : ../bin/combineINIT extrSQLdoc.pl
	./extrSQLdoc.pl > SQL.tex

InstallationTest.tex : InstallationTest.pl genInstTest.pl
	./genInstTest.pl > InstallationTest.tex

PlugInTemplate.tex : ../templates/classifyPlugInTemplate.pm genPlugInTemplate.pl
	./genPlugInTemplate.pl > PlugInTemplate.tex

html : DocMain.dvi
	latex2html --split 4 --local_icons DocMain.tex
	\rm -rf HTML
	mv DocMain HTML

clean :
	\rm -rf HTML *.aux *.log *.dvi DocMain.ps DocMain.pdf *.toc $(GENTEXS)

=== debian/changelog ===
combine (3.4-4) sarge; urgency=low

  * New switch 'myconf' for combineINIT to append a local configuration
    file to the standard job-specific configuration
  * Improved error checking for MySQL connection
  * Workaround for mysterious MySQL user access bug
  * Moved AutoRecycleLinks from job_default.cfg to default.cfg

 -- Anders Ardo <anders@it.lth.se>  Wed,  8 Nov 2006 12:33:15 +0100

combine (3.4-3) sarge; urgency=low

  * Removed obsolete flag xwi->check_nofollow
  * Documentation updates
  * Removing obsolete files: DTDs and ValidateWP7
  * Added omit-xml-declaration="yes" to combine2dc.xsl

 -- Anders Ardo <anders@it.lth.se>  Fri,  3 Nov 2006 10:31:14 +0100

combine (3.4-2) sarge; urgency=low

  * Added external parsers for Excel, PowerPoint and RTF
  * Fixed bug that prevented RobotRules cache to be used
  * Moved setting of agent and from for UserAgent into
    UA::TruncatingUserAgent

 -- Anders Ardo <anders@it.lth.se>  Fri, 20 Oct 2006 09:08:08 +0200

combine (3.4-1) sarge; urgency=low

  * Added possibility to connect directly to a Zebra server

 -- Anders Ardo <anders@it.lth.se>  Sat, 14 Oct 2006 12:01:55 +0200

combine (3.3-2) sarge; urgency=low

  * Removed the (empty) combine-doc package. Documentation is included
    in the package combine.
  * Restructured XML export: moved basic XML generation from
    combineExport to XWI2XML.pm.
  * Implemented possibility to apply XSLT script on exported records
  * Added standard export XSLT scripts for alvis and dc
  * Now builds and includes doc in the source dist
  * Added module (Zebra.pm) and config var for direct connection the
    Zebra indexer
  * Fixed bug in UTF-8 handling for exported XML

 -- Anders Ardo <anders@it.lth.se>  Fri,  6 Oct 2006 12:02:45 +0200

combine (3.3-1) sarge; urgency=low

  * Implemented plugin modules for document classifications in focused mode
  * Added template for classify plugin

 -- Anders Ardo <anders@it.lth.se>  Sun,  1 Oct 2006 11:23:07 +0200

combine (3.2-2) sarge; urgency=low

  * Fixes and updates in PODs

 -- Anders Ardo <anders.ardo@it.lth.se>  Thu, 27 Sep 2006 15:31:00 +0200

combine (3.2-1) sarge; urgency=low

  * Fixes to make it work with MySQL 5
  * Now suggests pdftohtml untex
  * Disabled 'word-2000' in tidy.cfg since it conflicts with 'bare'

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 22 Aug 2006 10:07:00 +0200

combine (3.1-4) sarge; urgency=low

  * Added possibility to use HTTP proxy (conf variable httpProxy)
     (thanks to Joost Zuurbier)
  * Added conf variable UserAgentFollowRedirects controlling
    how redirects are handled (thanks to Joost Zuurbier)
  * Changed combineExport to use Alvis::Pipeline directly
  * Moved conf-files from libcombine to combine package
  * Added conffiles file to debian/
  * Improved documentation

 -- Anders Ardo <anders.ardo@it.lth.se>  Thu, 15 Jun 2006 09:38:00 +0200

combine (3.1-3) sarge; urgency=low

  * All binaries now without '-w' switch
  * Perl testsuite added in directory t
  * New configuration variable WaitIntervalHost
  * Some bug fixes
  * combineExport supports the action attribute to XML
    element documentRecord

 -- Anders Ardo <anders.ardo@it.lth.se>  Fri, 2 Jun 2006 15:38:00 +0200

combine (3.1-2) sarge; urgency=low

  * combineExport now supports enhanced ALVIS XML format
  * new configuration var 'AutoRecycleLinks', default=1
    enables automatic recycling of new links
  * combineINIT takes new parameter --topic <file> 
    which enables focused mode using the given file
    as topicdefinition

 -- Anders Ardo <anders.ardo@it.lth.se>  Fri, 24 Mar 2006 12:11:00 +0200

combine (3.1-1) sarge; urgency=low

  * New SQL doc
  * Bumped version to comply with conventions

 -- Anders Ardo <anders.ardo@it.lth.se>  Wed, 07 Mar 2006 15:37:00 +0200

combine (3.0.0-14) stable; urgency=low

  * Bug fixes in export

 -- Anders Ardo <anders.ardo@it.lth.se>  Wed, 01 Mar 2006 10:37:00 +0200

combine (3.0.0-13) stable; urgency=low

  * Efficiency improvement

 -- Anders Ardo <anders.ardo@it.lth.se>  Fri, 13 Jan 2006 13:37:00 +0200

combine (3.0.0-12) stable; urgency=low

  * Added delete functionality to combineUtil
  * Added a few extensions for binary files to config-files

 -- Anders Ardo <anders.ardo@it.lth.se>  Thu, 12 Jan 2006 10:37:00 +0200

combine (3.0.0-11) stable; urgency=low

  * Added combineUtil for database statistic, sanity and cleaning functionality
  * Changed Config to use include for additional configuration serveralias and exclude

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 03 Jan 2006 09:50:00 +0200

combine (3.0.0-10) stable; urgency=low

  * Added dependecy on libalvis-cannonical
  * Changed to use Alvis::Canonical

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 19 Dec 2005 15:24:00 +0200

combine (3.0.0-9) stable; urgency=low

  * Removed erronous quoting of '"' in exported XML-records

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 13 Dec 2005 13:38:00 +0200

combine (3.0.0-8) stable; urgency=low

  * Added handling of Alvis Pipeline exports
  * Added modifications for OAI including incremental exports

 -- Anders Ardo <anders.ardo@it.lth.se>  Sat, 10 Dec 2005 14:38:00 +0200

combine (3.0.0-7) stable; urgency=low

  * UTF-8 fixes
  * Updated Tidy.cfg

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 01 Dec 2005 08:58:00 +0200

combine (3.0.0-6) stable; urgency=low

  * Updates in documentation
  * Added DTD files to conf
  * Updated combineExport new switches - recordid, md5, validate

 -- Anders Ardo <anders.ardo@it.lth.se>  Tue, 08 Nov 2005 14:39:00 +0200

combine (3.0.0-5) stable; urgency=low

  * Updates in documentation
  * Added some Topic definition files
  * combineINIT now creates empty files 'stopwords.txt'
  * combineINIT now sets permission on /var/run/combine/xxx

 -- Anders Ardo <anders.ardo@it.lth.se>  Mon, 07 Nov 2005 16:16:00 +0200

combine (3.0.0-4) stable; urgency=low

  * Added man pages

 -- Anders Ardo <anders.ardo@it.lth.se>  Thu, 03 Nov 2005 13:11:00 +0200



=== debian/control ===
Source: combine
Section: web
Priority: optional
Maintainer: Anders Ardo <anders.ardo@it.lth.se>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.5.8

Package: combine
Section: web
Architecture: all
Depends: ${perl:Depends}, libcombine-perl (= ${Source-Version}), mysql-server-4.1 | mysql-server-5.0, libdbd-mysql-perl, libcompress-zlib-perl, libalvis-canonical-perl, libxml-libxslt-perl
Recommends: pstotext, antiword, pdftohtml, untex, xlhtml, ppthtml, unrtf
Suggests: libalvis-pipeline-perl
Conflicts: 
Description: Web focused crawler
 Combine is an open system for crawling [harvesting and threshing (indexing)]
 Internet resources. The name is derived from the combine-harvester since
 the two perform their jobs in a similar way.
 .
 It is modified for focused crawling by integrating the automated topic
 classification algorithms.
 .
 Combine is highly configurable and completely written in Perl
 .
 This package contains executables, configuration and documentation

Package: libcombine-perl
Section: perl
Architecture: all
Depends: ${perl:Depends}, libwww-perl, libhtml-parser-perl,liburi-perl, mysql-server-4.1 | mysql-server-5.0, libdbd-mysql-perl, liblingua-stem-perl, liblingua-identify-perl, libconfig-general-perl, libxml-libxml-perl, libxml-parser-perl, libimage-exiftool-perl, libhtml-tidy-perl, libnet-z3950-zoom-perl
Description: Library for Web focused crawler
 Combine is an open system for focused crawling Internet resources.
 .
 This package contains library modules

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Force compat level four
export DH_COMPAT=4

# Ignore CVS information
export DH_ALWAYS_EXCLUDE=CVS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# make perl work
ifndef PERL
PERL = /usr/bin/perl
endif

# define debian control dir
DEBIANDIR =$(CURDIR)/debian


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=$(DEBIANDIR)/tmp/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info $(CONFIG_FLAGS)

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	perl Makefile.PL INSTALLDIRS=vendor
	$(MAKE)
	cd ./doc; make all >& ./make.log

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	cd ./doc; make clean; make all >& ./make.log
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
	$(MAKE) install PREFIX=$(CURDIR)/debian/tmp/usr
	#docs need to be remade and copied to the right location
	# add configuration file by hand - there must be a better way to do it
	mkdir -p debian/tmp/etc/combine
	cp conf/default.cfg debian/tmp/etc/combine/default.cfg
	cp conf/SQLstruct.sql debian/tmp/etc/combine/SQLstruct.sql
	cp conf/tidy.cfg debian/tmp/etc/combine/tidy.cfg
	cp conf/job_default.cfg debian/tmp/etc/combine/job_default.cfg
	cp conf/Topic_carnivor.txt debian/tmp/etc/combine/Topic_carnivor.txt
	cp conf/Topic_materialscience.txt debian/tmp/etc/combine/Topic_materialscience.txt
	cp conf/Topic_searchengine.txt debian/tmp/etc/combine/Topic_searchengine.txt
	cp conf/combine2alvis.xsl debian/tmp/etc/combine/combine2alvis.xsl
	cp conf/combine2dc.xsl debian/tmp/etc/combine/combine2dc.xsl
	mkdir -p debian/tmp/var/run/combine

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples --package=tkl
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: configure build clean binary-indep binary-arch binary install
